API

Telegram API

The AI-powered Telegram provides 360° Global Media Data & Intelligence on Telegram channel operators, community managers, news distributors, and messaging platform teams.

API-Referenz Version: 1.0.0 2 Endpunkte Authentifizierung
Telegram Monitor

Basis-URL

https://pressmonitor.com/api

Authentifizierung

Alle Anfragen erfordern die Header x-api-key und x-subscription-id. x-api-key authentifiziert Ihr Konto; x-subscription-id waehlt den abonnierten Dienst aus.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /telegram_channel

Telegram Chaîne

Parameter

Name Typ Standort Erforderlich Beschreibung
channel string query Ja Channel name

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/telegram_channel?channel=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success
GET /telegram_messages

Telegram Messages

Parameter

Name Typ Standort Erforderlich Beschreibung
channel string query Ja Channel name
limit integer query Nein Number of results

Code-Beispiele

curl -X GET \
  "https://pressmonitor.com/api/telegram_messages?channel=VALUE&limit=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Antworten

200 Success